package com.spring.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Bean;

import com.spring.beans.Class1;
import com.spring.beans.Class2;

@SpringBootApplication(scanBasePackages="com.spring.beans")
public class Application implements CommandLineRunner{
	
	@Autowired
	private ApplicationContext context;
	
	public static void main(String[] args) {
		SpringApplication.run(Application.class, args);
	}
	
	@Bean(autowireCandidate = false)
	Class1 class1() {
		return new Class1();
	}
	

	@SuppressWarnings("unused")
	@Override
	public void run(String... args) throws Exception {
		Class1 class1 = context.getBean(Class1.class);
		Class2 Class2 = context.getBean(Class2.class);
	}

}
